<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('admins', function (Blueprint $table) {
            $table->uuid('id')->primary();
            $table->string('admin_id')->unique();
            $table->string('username');
            $table->string('name')->nullable();
            $table->enum('status', ['active', 'inactive'])->default('inactive');
            $table->integer('admin_level')->default(1);
            $table->enum('role', ['admin', 'super_admin', 'moderator'])->default('moderator');
            $table->boolean('details_updated')->default(false);
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('admins');
    }
};
